using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Door : MonoBehaviour, IInteractable
{
    private Collider2D collider;
    private Renderer renderer;

    private void Awake()
    {
        collider = gameObject.GetComponent<Collider2D>();
        renderer = gameObject.GetComponent<Renderer>();
    }

    public void Activate()
    {
        collider.enabled = false;
        renderer.enabled = false;
    }

    public void Deactivate()
    {
        collider.enabled = true;
        renderer.enabled = true;
    }
}
